linux 环境变量设置

查看PATHecho $PATH修改方法一:export PATH=/usr/local/mongodb/bin:$PATH生效方法:立即生效有效期限:临时改变,只能在当前的终端窗口中有效,当前窗口关闭后就会恢复原有的path配置用户局限:仅对当前用户修改方法二:通过修改.bashrc文件://在最

android ndk r20 交叉编译 ffmpeg

一、下载并解压:ffmpeg4.2.1:http://ffmpeg.org/download.htmlndk r20:https://developer.android.google.cn/ndk/downloads/index.html二、修改ffmpeg configure文件# 将ffmpeg

源码编译gcc和g++

1. 编译新版gcc需要旧版支持1)确认是否有安装gccgcc -v2) 如果没有安装gcc, 如果机子有联网,则可以使用以下方法center-os系统:yum -y install gccyum -y install gcc-g++ubuntu系统:sudo apt-get installgccs

解决软件包 xxxx 的文件名列表文件缺少最后结尾的换行符

执行sudo apt update —>sudo apt upgradedpkg: 无法恢复的致命错误,中止:软件包 xxxxx 的文件名列表文件缺少最后结尾的换行符E: Sub-process /usr/bin/dpkg returned an error code (2)解决方案:sudo

解决Linux依赖包的烦恼,教你如何打包依赖,覆盖常用Linux

前言有时候遇到Linux无法连接互联网的时候,安装软件就成了一个很头大的麻烦事,各种依赖安装,那么怎么去解决这个问题呢?文章末有一键脚本#!/bin/bash##一键打包Linux服务包及依赖##字体设置#红色背景red_bg='\e[41;33;1m'#红色字体red_zt='\e[1;31m'#

linux QT for Android完整搭建过程

一、准备需要的安装包JDK :http://download.oracle.com/otn-pub/java/jdk/8u92-b14/jdk-8u92-linux-x64.tar.gzandroid-sdk(不是Android Studio):https://dl.google.com/andro

Linux svn 报错svn: E120171: Error running context: An error occurred during SSL communication

修改/etc/ssl/openssl.cnf更改一下内容[system_default_sect]MinProtocol = TLSv1.2CipherString = DEFAULT@SECLEVEL=2将TLSv1.2 修改为 TLSv1.0报错原因: 服务器使用的版本过低, 客户端支持最小的协

linux:c++实现ping算法

#include <stdio.h>#include <stdlib.h>#include <string.h>#include <strings.h> /* for bzero */#include <signal.h>#include

shell $() $(()) $[] ${} $[[]] 使用语法

$( ) 与 ` ` (反引号)在 bash shell 中,$( ) 与 ` ` (反引号) 都是用来做命令替换用(command substitution)的。在多层次的复合替换中,` ` 须要额外的跳脱( \` )处理,而 $( ) 则比较直观。例如:这是错的:[code]command1 `

linux 压缩解压命令

01-.tar格式解包:[*******]$ tar xvf FileName.tar打包:[*******]$ tar cvf FileName.tar DirName(注:tar是打包,不是压缩!)02-.gz格式解压1:[*******]$ gunzip FileName.gz解压2:[***
Your browser is out-of-date!

Update your browser to view this website correctly. Update my browser now

×